# JSXGraph Reference

## JavaScript must be enabled in order for you to use JSXGraph and JSXGraph reference. However, it seems JavaScript is either disabled or not supported by your browser.

Class Index | File Index

## Elements

- Angle
- Arc
- Arrow
- Arrowparallel
- Axis
- Bisector
- Bisectorlines
- Circle
- Circumcenter
- Circumcircle
- CircumcircleArc
- Circumcirclesector
- Conic
- Curve
- Ellipse
- Functiongraph
- Glider
- Grid
- Hyperbola
- Image
- Incenter
- Incircle
- Integral
- Intersection
- Line
- Locus
- Midpoint
- Mirrorpoint
- Normal
- Orthogonalprojection
- OtherIntersection
- Parabola
- Parallel
- Parallelpoint
- Perpendicular
- Perpendicularpoint
- Point
- Polygon
- Reflection
- RegularPolygon
- Riemannsum
- Sector
- Segment
- Semicircle
- Slider
- Tangent
- Text
- Ticks
- Tracecurve

## Classes

- _global_
- JXG
- JXG.AbstractRenderer
- JXG.Board
- JXG.C
- JXG.CanvasRenderer
- JXG.Circle
- JXG.Complex
- JXG.Composition
- JXG.Coords
- JXG.Curve
- JXG.Dump
- JXG.GeometryElement
- JXG.GeonextParser
- JXG.Group
- JXG.Image
- JXG.JessieCode
- JXG.JSXGraph
- JXG.Line
- JXG.Math
- JXG.Math.Geometry
- JXG.Math.Numerics
- JXG.Math.Poly
- JXG.Math.Poly.Monomial
- JXG.Math.Poly.Polynomial
- JXG.Math.Poly.Ring
- JXG.Math.Statistics
- JXG.Math.Symbolic
- JXG.Point
- JXG.Polygon
- JXG.Server
- JXG.Server.modules
- JXG.SVGRenderer
- JXG.Text
- JXG.Ticks
- JXG.Turtle
- JXG.Util
- JXG.VMLRenderer

# Namespace JXG.Math.Statistics

↳ JXG.Math.Statistics

Defined in: MathStatistics.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| JXG.Math.Statistics Functions for mathematical statistics.

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | JXG.Math.Statistics.abs(arr) Determines the absolute value of every given value.
<static> | JXG.Math.Statistics.add(arr1, arr2) Adds up two (sequences of) values.
<static> | JXG.Math.Statistics.div(arr1, arr2) Divides two (sequences of) values.
<static> <deprecated> | JXG.Math.Statistics.divide()
<static> | JXG.Math.Statistics.max(arr) Extracts the maximum value from the array.
<static> | JXG.Math.Statistics.mean(arr) Determines the mean value of the values given in an array.
<static> | JXG.Math.Statistics.median(arr) The median of a finite set of values is the value that divides the set into two equal sized subsets.
<static> | JXG.Math.Statistics.min(arr) Extracts the minimum value from the array.
<static> | JXG.Math.Statistics.mod(arr1, arr2, math) Divides two (sequences of) values and returns the remainder.
<static> | JXG.Math.Statistics.multiply(arr1, arr2) Multiplies two (sequences of) values.
<static> | JXG.Math.Statistics.prod(arr) Multiplies all elements of the given array.
<static> | JXG.Math.Statistics.range(arr) Determines the lowest and the highest value from the given array.
<static> | JXG.Math.Statistics.sd(arr) Determines the standard deviation which shows how much variation there is from the average value of a set of numbers.
<static> | JXG.Math.Statistics.subtract(arr1, arr2) Subtracts two (sequences of) values.
<static> | JXG.Math.Statistics.sum(arr) Sums up all elements of the given array.
<static> | JXG.Math.Statistics.variance(arr) Bias-corrected sample variance.
<static> | JXG.Math.Statistics.weightedMean(arr, w) Weighted mean value is basically the same as JXG.Math.Statistics#mean but here the values are weighted, i.e.

Namespace Detail
JXG.Math.Statistics
Functions for mathematical statistics. Most functions are like in the statistics package R.
Method Detail
<static> {Array|Number} JXG.Math.Statistics.abs(arr)
Determines the absolute value of every given value.

Parameters:
{Array|Number} arr

Returns:
  {Array|Number}

<static> {Array|Number} JXG.Math.Statistics.add(arr1, arr2)
Adds up two (sequences of) values. If one value is an array and the other one is a number the number is added to every element of the array. If two arrays are given and the lengths don't match the shortest length is taken.

Parameters:
{Array|Number} arr1
{Array|Number} arr2

Returns:
  {Array|Number}

<static> {Array|Number} JXG.Math.Statistics.div(arr1, arr2)
Divides two (sequences of) values. If two arrays are given and the lengths don't match the shortest length is taken.

Parameters:
{Array|Number} arr1
  Dividend
{Array|Number} arr2
  Divisor

Returns:
  {Array|Number}

<static> JXG.Math.Statistics.divide()

Deprecated:
Use JXG.Math.Statistics#div instead.

<static> {Number} JXG.Math.Statistics.max(arr)
Extracts the maximum value from the array.

Parameters:
{Array} arr

Returns:
  {Number} The highest number from the array. It returns `NaN` if not every element could be interpreted as a number and `-Infinity` if an empty array is given or no element could be interpreted as a number.

<static> {Number} JXG.Math.Statistics.mean(arr)
Determines the mean value of the values given in an array.

Parameters:
{Array} arr

Returns:
  {Number}

<static> {Number} JXG.Math.Statistics.median(arr)
The median of a finite set of values is the value that divides the set into two equal sized subsets.

Parameters:
{Array} arr
  The set of values.

Returns:
  {Number}

<static> {Number} JXG.Math.Statistics.min(arr)
Extracts the minimum value from the array.

Parameters:
{Array} arr

Returns:
  {Number} The lowest number from the array. It returns `NaN` if not every element could be interpreted as a number and `Infinity` if an empty array is given or no element could be interpreted as a number.

<static> {Array|Number} JXG.Math.Statistics.mod(arr1, arr2, math)
Divides two (sequences of) values and returns the remainder. If two arrays are given and the lengths don't match the shortest length is taken.

Parameters:
{Array|Number} arr1
  Dividend
{Array|Number} arr2
  Divisor
{Boolean} math Optional, Default: false
  Mathematical mod or symmetric mod? Default is symmetric, the JavaScript `%` operator.

Returns:
  {Array|Number}

<static> {Array|Number} JXG.Math.Statistics.multiply(arr1, arr2)
Multiplies two (sequences of) values. If one value is an array and the other one is a number the number is multiplied to every element of the array. If two arrays are given and the lengths don't match the shortest length is taken.

Parameters:
{Array|Number} arr1
{Array|Number} arr2

Returns:
  {Array|Number}

<static> {Number} JXG.Math.Statistics.prod(arr)
Multiplies all elements of the given array.

Parameters:
{Array} arr
  An array of numbers.

Returns:
  {Number}

<static> {Array} JXG.Math.Statistics.range(arr)
Determines the lowest and the highest value from the given array.

Parameters:
{Array} arr

Returns:
  {Array} The minimum value as the first and the maximum value as the second value.

<static> {Number} JXG.Math.Statistics.sd(arr)
Determines the standard deviation which shows how much variation there is from the average value of a set of numbers.

Parameters:
{Array} arr

Returns:
  {Number}

<static> {Array|Number} JXG.Math.Statistics.subtract(arr1, arr2)
Subtracts two (sequences of) values. If two arrays are given and the lengths don't match the shortest length is taken.

Parameters:
{Array|Number} arr1
  Minuend
{Array|Number} arr2
  Subtrahend

Returns:
  {Array|Number}

<static> {Number} JXG.Math.Statistics.sum(arr)
Sums up all elements of the given array.

Parameters:
{Array} arr
  An array of numbers.

Returns:
  {Number}

<static> {Number} JXG.Math.Statistics.variance(arr)
Bias-corrected sample variance. A variance is a measure of how far a set of numbers are spread out from each other.

Parameters:
{Array} arr

Returns:
  {Number}

<static> {Number} JXG.Math.Statistics.weightedMean(arr, w)
Weighted mean value is basically the same as JXG.Math.Statistics#mean but here the values are weighted, i.e. multiplied with another value called weight. The weight values are given as a second array with the same length as the value array..

Parameters:
{Array} arr
  Set of alues.
{Array} w
  Weight values.

Throws:
{Error}
  If the dimensions of the arrays don't match.

Returns:
  {Number}

Documentation generated by JsDoc Toolkit 2.4.0 on Mon Apr 02 2012 17:54:09 GMT+0200 (MESZ)